org.apache.jmeter.visualizers.backend.graphite

## Class GraphiteBackendListenerClient

- java.lang.Object
- - org.apache.jmeter.visualizers.backend.AbstractBackendListenerClient
  - - org.apache.jmeter.visualizers.backend.graphite.GraphiteBackendListenerClient

All Implemented Interfaces:
  Runnable, BackendListenerClient

    public class GraphiteBackendListenerClient
    extends AbstractBackendListenerClient
    implements Runnable

Graphite based Listener using Pickle Protocol

Since:
  2.13
See Also:
  Graphite Overview

### Field Summary

Fields
`static String` `USE_REGEXP_FOR_SAMPLERS_LIST`
`static String` `USE_REGEXP_FOR_SAMPLERS_LIST_DEFAULT`

### Constructor Summary

Constructors
Constructor and Description
`GraphiteBackendListenerClient()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Arguments` `getDefaultParameters()` Provide a list of parameters which this test supports.
`String` `getSamplersList()`
`void` `handleSampleResults(List<SampleResult> sampleResults, BackendListenerContext context)` Handle sampleResults, this can be done in many ways: Write to a file Write to a remote server ...
`void` `run()`
`protected void` `sendMetrics()` Send metrics to Graphite
`void` `setSamplersList(String samplersList)`
`void` `setupTest(BackendListenerContext context)` Do any initialization required by this client.
`void` `teardownTest(BackendListenerContext context)` Do any clean-up required at the end of a test run.

### Methods inherited from class org.apache.jmeter.visualizers.backend.AbstractBackendListenerClient

`getMetricsPerSampler, getNewLogger, getSamplerMetric, getUserMetrics`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.visualizers.backend.BackendListenerClient

`createSampleResult`

### Field Detail

#### USE_REGEXP_FOR_SAMPLERS_LIST

    public static final String USE_REGEXP_FOR_SAMPLERS_LIST

See Also:
  Constant Field Values

#### USE_REGEXP_FOR_SAMPLERS_LIST_DEFAULT

    public static final String USE_REGEXP_FOR_SAMPLERS_LIST_DEFAULT

See Also:
  Constant Field Values

### Constructor Detail

#### GraphiteBackendListenerClient

    public GraphiteBackendListenerClient()

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### sendMetrics

    protected void sendMetrics()

Send metrics to Graphite

#### getSamplersList

    public String getSamplersList()

Returns:
  the samplersList

#### setSamplersList

    public void setSamplersList(String samplersList)

Parameters:
  `samplersList` - the samplersList to set

#### handleSampleResults

    public void handleSampleResults(List<SampleResult> sampleResults,
                                    BackendListenerContext context)

Description copied from interface: `BackendListenerClient`
Handle sampleResults, this can be done in many ways:

- Write to a file
- Write to a remote server
- ...

Specified by:
  `handleSampleResults` in interface `BackendListenerClient`
Parameters:
  `sampleResults` - List of `SampleResult`
  `context` - provides access to initialization parameters.

#### setupTest

    public void setupTest(BackendListenerContext context)
                   throws Exception

Description copied from interface: `BackendListenerClient`
Do any initialization required by this client. It is generally recommended to do any initialization such as getting parameter values here rather than `BackendListenerClient.handleSampleResults(List, BackendListenerContext)` in order to add as little overhead as possible to the test.

Specified by:
  `setupTest` in interface `BackendListenerClient`
Overrides:
  `setupTest` in class `AbstractBackendListenerClient`
Parameters:
  `context` - provides access to initialization parameters.
Throws:
  `Exception` - when setup fails

#### teardownTest

    public void teardownTest(BackendListenerContext context)
                      throws Exception

Description copied from interface: `BackendListenerClient`
Do any clean-up required at the end of a test run.

Specified by:
  `teardownTest` in interface `BackendListenerClient`
Overrides:
  `teardownTest` in class `AbstractBackendListenerClient`
Parameters:
  `context` - provides access to initialization parameters.
Throws:
  `Exception` - when tear down fails

#### getDefaultParameters

    public Arguments getDefaultParameters()

Description copied from interface: `BackendListenerClient`
Provide a list of parameters which this test supports. Any parameter names and associated values returned by this method will appear in the GUI by default so the user doesn't have to remember the exact names. The user can add other parameters which are not listed here. If this method returns null then no parameters will be listed. If the value for some parameter is null then that parameter will be listed in the GUI with an empty value.

Specified by:
  `getDefaultParameters` in interface `BackendListenerClient`
Overrides:
  `getDefaultParameters` in class `AbstractBackendListenerClient`
Returns:
  a specification of the parameters used by this test which should be listed in the GUI, or null if no parameters should be listed.